org.apache.activemq.artemis.jms.client

## Class ActiveMQTemporaryTopic

- java.lang.Object
- - org.apache.activemq.artemis.jndi.JNDIStorable
  - - org.apache.activemq.artemis.jms.client.ActiveMQDestination
    - - org.apache.activemq.artemis.jms.client.ActiveMQTopic
      - - org.apache.activemq.artemis.jms.client.ActiveMQTemporaryTopic

- All Implemented Interfaces:
    Serializable, javax.jms.Destination, javax.jms.TemporaryTopic, javax.jms.Topic, Referenceable

      public class ActiveMQTemporaryTopic
      extends ActiveMQTopic
      implements javax.jms.TemporaryTopic

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `ActiveMQDestination.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `QUEUE_QUALIFIED_PREFIX, TEMP_QUEUE_QUALIFED_PREFIX, TEMP_TOPIC_QUALIFED_PREFIX, TOPIC_QUALIFIED_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQTemporaryTopic()`
    `ActiveMQTemporaryTopic(String address, ActiveMQSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQTopic

      `getTopicName, toString`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `buildFromProperties, createDestination, createQueue, createQueue, createQueue, createQueueAddressFromName, createQueueNameForSharedSubscription, createQueueNameForSubscription, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTopic, createTopic, createTopic, createTopicAddressFromName, decomposeQueueNameForDurableSubscription, delete, fromPrefixed1XName, fromPrefixedName, fromPrefixedName, getAddress, getName, getQueueAttributes, getSimpleAddress, getType, isQueue, isTemporary, populateProperties, setAddress, setName, setSimpleAddress`

    - ### Methods inherited from class org.apache.activemq.artemis.jndi.JNDIStorable

      `getReference, readObject, writeObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.TemporaryTopic

      `delete`

    - ### Methods inherited from interface javax.jms.Topic

      `getTopicName, toString`

- - ### Constructor Detail

    - #### ActiveMQTemporaryTopic

          public ActiveMQTemporaryTopic()

    - #### ActiveMQTemporaryTopic

          public ActiveMQTemporaryTopic(String address,
                                        ActiveMQSession session)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ActiveMQTopic`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ActiveMQTopic`

Copyright © 2019 The Apache Software Foundation. All rights reserved.